Bug 670209 - Review Request: rubygem-rsolr - A Ruby client for Apache Solr
Summary: Review Request: rubygem-rsolr - A Ruby client for Apache Solr
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 721061
TreeView+ depends on / blocked
 
Reported: 2011-01-17 14:49 UTC by Vít Ondruch
Modified: 2011-10-25 12:24 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-10-25 12:24:55 UTC
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2011-01-17 14:49:44 UTC
Spec URL: http://people.redhat.com/vondruch/rubygem-rsolr.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-rsolr-1.0.0-1.fc14.src.rpm

Description: RSolr aims to provide a simple and extensible library for working with Solr

Koji scratch build for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2726032

Comment 1 Mo Morsi 2011-01-22 05:01:20 UTC
Hey just noticed a problem w/ this rpm when testing it out. The VERSION file shouldn't be marked as one of the files in the doc pkg as its needed by the solr runtime.

Also, related, the sunspot rpm should contain the updated dependency to rsolr 1.0.0, it currently depends on rsolr ~> 0.12.1 which causes bundler to throw an error when run against this rpm.

Thanks

Comment 2 Vít Ondruch 2011-01-25 08:40:39 UTC
Please see updated specs:

Spec URL: http://people.redhat.com/vondruch/rubygem-rsolr.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-rsolr-1.0.0-2.fc14.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2740782


I will see what can I do about the sunspot.

Comment 3 Vít Ondruch 2011-03-18 13:44:44 UTC
I have fixed the sunspot and submitted required changes upstream: https://github.com/outoftime/sunspot/pull/27

So somebody can go ahead with review

Comment 4 Bohuslav "Slavek" Kabrda 2011-10-14 08:52:02 UTC
I'm taking this one.

Comment 5 Bohuslav "Slavek" Kabrda 2011-10-14 09:00:44 UTC
- The tests are compatible with RSpec 2, so I would recommend changing BR: rubygem(rspec) to rubygem(rspec-core).
- Consider moving README.rdoc to doc subpackage.
- The "%defattr(-, root, root, -)" lines can be omitted according to [1]

So after you repair these few details, this package is APPROVED.

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

Comment 6 Vít Ondruch 2011-10-24 12:32:26 UTC
Thank you for your review. I'll fix the issues before the commit.


New Package SCM Request
=======================
Package Name: rubygem-rsolr
Short Description: A Ruby client for Apache Solr
Owners: vondruch
Branches: 
InitialCC:

Comment 7 Gwyn Ciesla 2011-10-24 16:14:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.